// +build mage

package main

import (

	// mage:import
	. "magefile/docker"

	"github.com/magefile/mage/mg"
)

var (
	GolangVolume = "golang.upstream"
)

func init() {
	AppName = "goconf"
	ImageName = "my/go"
	NetName = "none"
}

func ModTidy() {
	Bash(`sudo docker run -ti --rm \
		-h host \
		--net=bridge \
		-v /etc/localtime:/etc/localtime:ro \
		-v ` + GolangVolume + `:/usr/local/go:ro \
		\
		-v /d1/d/gopath/_data:/gopath:rw \
		-v ${PWD}:/app \
		\
		-e GOPATH=/gopath \
		-e HOME=/home/user \
		\
		-w /app \
		-u 1000 \
		\
		--entrypoint=/usr/local/go/bin/go \
		\
		\
		` + ImageName + " " +
		`mod tidy`)
}

func Test() {
	mg.Deps(TestLib)
}
func TestLib() {
	Bash(`sudo docker run -ti --rm \
		-h host \
		--net=none \
		-v /etc/localtime:/etc/localtime:ro \
		-v ` + GolangVolume + `:/usr/local/go:ro \
		\
		-v /d1/d/gopath/_data:/gopath:rw \
		-v ${PWD}:/app \
		\
		-e GOPATH=/gopath \
		-e HOME=/home/user \
		\
		-w /app \
		-u 1000 \
		\
		--entrypoint=/usr/local/go/bin/go \
		\
		\
		` + ImageName + " " +
		`test -gcflags=-l`)
}
