// Во имя Бога Милостивого, Милосердного!!!
package goconf

import (
	"testing"

	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"
)

var Be = Equal
var NDescribe = func(string, func()) {}

func TestUtils(t *testing.T) {
	RegisterFailHandler(Fail)
	RunSpecs(t, "Lib")
}

type Config struct {
	Host     string
	Port     int
	Params   string
	IntParam int
}

var config = Config{
	Host: "testhost",
	Port: 19,

	Params:   "some params",
	IntParam: 199,
}

var _ = Describe("Lib", func() {
	Describe("Parse .go file into internal struct", func() {
		c := &Config{}

		It("", func() {
			err := LoadConfig(c, "goconf_test.go")
			Ω(err).NotTo(HaveOccurred())
			Ω(c.Host).To(Be("testhost"))
			Ω(c.Port).To(Be(19))
			Ω(c.Params).To(Be("some params"))
			Ω(c.IntParam).To(Be(199))
		})
	})
})
